> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete emotional state

> Delete emotional state for the authenticated user.

Cascades to associated Document and Chunk rows. Optionally filter by
`relationship_id` to delete only a specific relationship's emotional state.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml delete /emotional-state
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /emotional-state:
    delete:
      tags:
        - Emotional State
      summary: Delete emotional state
      description: >-
        Delete emotional state for the authenticated user.


        Cascades to associated Document and Chunk rows. Optionally filter by

        `relationship_id` to delete only a specific relationship's emotional
        state.
      operationId: delete_emotional_state_emotional_state_delete
      parameters:
        - name: relationship_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Relationship Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/hyperspell_core__api__emotional_state__DeleteResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
components:
  schemas:
    hyperspell_core__api__emotional_state__DeleteResponse:
      properties:
        deleted_count:
          type: integer
          title: Deleted Count
      type: object
      required:
        - deleted_count
      title: DeleteResponse
      description: Response after deleting emotional state.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````